## fmms 1.1.2

=== Makefile ===
# Makefile for fMMS package

compile:
	#cd po && $(MAKE) compile
	mkdir bin

install:
	mkdir -p ${DESTDIR}/opt/fmms ${DESTDIR}/opt/fmms/mms
	install -D -m 0755 -o root -g root src/*.py* ${DESTDIR}/opt/fmms/
	install -m 0755 -o root -g root src/fmms_magic ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/*.conf ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/*.png ${DESTDIR}/opt/fmms/
	install -m 0644 -o root -g root src/C* ${DESTDIR}/opt/fmms/
	install -D -m 0644 -o root -g root src/mms/C* ${DESTDIR}/opt/fmms/mms/
	install -D -m 0644 -o root -g root src/mms/*.py* ${DESTDIR}/opt/fmms/mms/
	install -D -m 0644 -o root -g root share/fmms-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms-32.png ${DESTDIR}/usr/share/icons/hicolor/32x32/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/fmms.png
	install -D -m 0644 -o root -g root share/fmms.desktop ${DESTDIR}/usr/share/applications/hildon/fmms.desktop
	install -D -m 0644 -o root -g root share/se.frals.fmms.service ${DESTDIR}/usr/share/dbus-1/services/se.frals.fmms.service
	install -D -m 0644 -o root -g root share/se.frals.mms.service ${DESTDIR}/usr/share/dbus-1/system-services/se.frals.mms.service
	install -D -m 0644 -o root -g root share/fmms_magic.sudoers ${DESTDIR}/etc/sudoers.d/fmms_magic.sudoers
	install -D -m 0644 -o root -g root src/fmms_statusmenu.desktop ${DESTDIR}/usr/share/applications/hildon-status-menu/fmms_statusmenu.desktop
	install -D -m 0644 -o root -g root src/fmms_statusmenu.py ${DESTDIR}/usr/lib/hildon-desktop/fmms_statusmenu.py

	#cd po && $(MAKE) install 

clean:
	rm -f src/*.py[oc]
	rm -f src/mms/*.py[oc]
	rm -f build-stamp configure-stamp
	rm -rf debian/fmms bin
	find . -name *~ -exec rm -f {} \;
	#cd po && $(MAKE) clean

package:
	UPDATESCRIPTS=$(shell PATH="$(PATH)" python2.5 update_scripts.py)
	#$(UPDATESCRIPTS)
	dpkg-buildpackage -rfakeroot -uc -us -sa -I.git -I.svn

## fmms 0.1.0

=== debian/changelog ===
fmms (0.1.0) stable; urgency=low

  * first -devel release


 -- Nick Leppnen Larsson <frals@frals.se>  Fri, 08 Jan 2010 14:53:26 +0000

=== debian/control ===
Source: fmms
Section: user/network
Priority: extra
Maintainer: Nick Leppnen Larsson <frals@frals.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: fmms
Architecture: all
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging
Description: Send and receive MMS, hopefully
XSBC-Bugtracker: frals@frals.se

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/fmms" install
	mkdir -p "$(CURDIR)/debian/fmms"

	mkdir -p "$(CURDIR)/debian/fmms/usr/share/dbus-1/system-services/"
	cp -a "src/usr/share/dbus-1/system-services/se.frals.mms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/system-services/se.frals.mms.service"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/fmms.png"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/COPYING"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/LAST_INCOMING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_INCOMING"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/LAST_OUTGOING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_OUTGOING"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/decoder_mms.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_mms.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/decoder_push.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_push.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/fmms_gui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_gui.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/fmms_sender_ui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_sender_ui.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/fmms.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon/fmms.desktop"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/COPYING.LESSER" "$(CURDIR)/debian/fmms/opt/fmms/mms/COPYING.LESSER"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/WSP.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/WSP.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/WTP.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/WTP.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/__init__.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/iterator.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/iterator.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/message.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/message.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/mms_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/mms_pdu.py"
	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
	cp -a "src/opt/fmms/mms/wsp_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/wsp_pdu.py"
	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/fmms.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fmms 0.1.2

=== debian/changelog ===
fmms (0.1.2) stable; urgency=low

  * about dialog fixed


 -- Nick Leppnen Larsson <frals@frals.se>  Fri, 08 Jan 2010 16:09:34 +0000

## fmms 0.1.3

=== debian/changelog ===
fmms (0.1.3) stable; urgency=low

  * sending possible without attachment again
  	* should work with apn without proxy and mmsc with path after host


 -- Nick Leppnen Larsson <frals@frals.se>  Sat, 09 Jan 2010 02:15:26 +0000

## fmms 0.1.4

=== debian/changelog ===
fmms (0.1.4) stable; urgency=low

  * lots of banners added
  * only resizing if its an image
  * timeout when fetching


 -- Nick Leppnen Larsson <frals@frals.se>  Sun, 10 Jan 2010 02:48:54 +0000

=== debian/control ===
Source: fmms
Section: user/network
Priority: extra
Maintainer: Nick Leppnen Larsson <frals@frals.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: fmms
Architecture: all
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject
Description: Send and receive MMS, hopefully
XSBC-Bugtracker: frals@frals.se

## fmms 0.1.5

=== debian/changelog ===
fmms (0.1.5) stable; urgency=low

  * some banners tweaked
  * touchselector in configuration of apn
  * improved error handling when fetching failed


 -- Nick Leppnen Larsson <frals@frals.se>  Mon, 11 Jan 2010 16:27:39 +0000

=== debian/control ===
--- 
+++ 
@@ -9,5 +9,5 @@
 Architecture: all
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject
 Description: Send and receive MMS, hopefully
-XSBC-Bugtracker: frals@frals.se
+XSBC-Bugtracker: mailto:frals@frals.se

## fmms 0.1.6

=== debian/changelog ===
fmms (0.1.6) stable; urgency=low

  * first few bits for contacts in place
  * parsing mmsc response now (more or less)
  * postinstall chowning ~/.fmms to user:users
  * fixed dependency


 -- Nick Leppnen Larsson <frals@frals.se>  Tue, 12 Jan 2010 12:41:18 +0000

## fmms 0.1.7

=== debian/changelog ===
fmms (0.1.7) stable; urgency=low

  * error handling on parsing mmsc response
  * fixed dependency
  * bumped version number for autobuilder
  * displayname should be changed


 -- Nick Leppnen Larsson <frals@frals.se>  Tue, 12 Jan 2010 13:21:43 +0000

## fmms 0.1.8

=== debian/changelog ===
fmms (0.1.8) stable; urgency=low

  * long-press on image gives menu to open in imageviewer
  * should display pictures on all known contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Tue, 12 Jan 2010 19:07:49 +0000

=== debian/control ===
Source: fmms
Section: user/network
Priority: extra
Maintainer: Nick Leppnen Larsson <frals@frals.se>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: fmms
Architecture: all
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject, python-evolution
Description: Send and receive MMS, hopefully 
XB-Maemo-Display-Name: fMMS
XSBC-Bugtracker: mailto:frals@frals.se

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/decoder_mms.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_mms.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/decoder_push.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_push.py"
@@ -76,6 +78,10 @@
 	cp -a "src/opt/fmms/fmms_sender_ui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_sender_ui.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/send.py" "$(CURDIR)/debian/fmms/opt/fmms/send.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/send_binary.py" "$(CURDIR)/debian/fmms/opt/fmms/send_binary.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"

## fmms 0.1.9-1

=== debian/changelog ===
fmms (0.1.9-1) stable; urgency=low

  * long press on message gives option to redl/delete


 -- Nick Leppnen Larsson <frals@frals.se>  Wed, 13 Jan 2010 18:37:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,6 @@
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/send.py" "$(CURDIR)/debian/fmms/opt/fmms/send.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/send_binary.py" "$(CURDIR)/debian/fmms/opt/fmms/send_binary.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/fmms.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon/fmms.desktop"

## fmms 0.1.10-1

=== debian/changelog ===
fmms (0.1.10-1) stable; urgency=low

  * "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Thu, 14 Jan 2010 01:06:18 +0000

## fmms 0.1.11-1

=== debian/changelog ===
fmms (0.1.11-1) stable; urgency=low

  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Sat, 16 Jan 2010 15:08:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Standards-Version: 3.7.2
 
 Package: fmms
+XB-Maemo-Display-Name: fMMS
 Architecture: all
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject, python-evolution
-Description: Send and receive MMS, hopefully 
-XB-Maemo-Display-Name: fMMS
+Description: Send and receive MMS, hopefully
 XSBC-Bugtracker: mailto:frals@frals.se

=== debian/rules ===
--- 
+++ 
@@ -54,32 +54,8 @@
 	cp -a "src/usr/share/dbus-1/system-services/se.frals.mms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/system-services/se.frals.mms.service"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/"
 	cp -a "src/usr/share/icons/hicolor/48x48/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/48x48/hildon/fmms.png"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/COPYING"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/LAST_INCOMING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_INCOMING"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/LAST_OUTGOING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_OUTGOING"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/decoder_mms.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_mms.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/decoder_push.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_push.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/fmms_gui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_gui.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/fmms_sender_ui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_sender_ui.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
+	mkdir -p "$(CURDIR)/debian/fmms/usr/share/dbus-1/services/"
+	cp -a "src/usr/share/dbus-1/services/se.frals.fmms.service" "$(CURDIR)/debian/fmms/usr/share/dbus-1/services/se.frals.fmms.service"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/fmms.desktop" "$(CURDIR)/debian/fmms/usr/share/applications/hildon/fmms.desktop"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
@@ -100,6 +76,34 @@
 	cp -a "src/opt/fmms/mms/mms_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/mms_pdu.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/mms/"
 	cp -a "src/opt/fmms/mms/wsp_pdu.py" "$(CURDIR)/debian/fmms/opt/fmms/mms/wsp_pdu.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/COPYING"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/LAST_INCOMING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_INCOMING"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/LAST_OUTGOING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_OUTGOING"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/__init__.py" "$(CURDIR)/debian/fmms/opt/fmms/__init__.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/contacts.py" "$(CURDIR)/debian/fmms/opt/fmms/contacts.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/dbhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/dbhandler.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/decoder_mms.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_mms.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/decoder_push.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_push.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/fmms_gui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_gui.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/fmms_sender_ui.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_sender_ui.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/fmmsd.py" "$(CURDIR)/debian/fmms/opt/fmms/fmmsd.py"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/wappushhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/wappushhandler.py"
 	mkdir -p "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/usr/share/icons/hicolor/scalable/hildon/fmms.png" "$(CURDIR)/debian/fmms/usr/share/icons/hicolor/scalable/hildon/fmms.png"

## fmms 0.2.1-1

=== debian/changelog ===
fmms (0.2.1-1) stable; urgency=low

  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Mon, 18 Jan 2010 22:32:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,6 @@
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/dbhandler.py" "$(CURDIR)/debian/fmms/opt/fmms/dbhandler.py"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/decoder_mms.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_mms.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
-	cp -a "src/opt/fmms/decoder_push.py" "$(CURDIR)/debian/fmms/opt/fmms/decoder_push.py"
-	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/fmms.png" "$(CURDIR)/debian/fmms/opt/fmms/fmms.png"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/fmms_config.py" "$(CURDIR)/debian/fmms/opt/fmms/fmms_config.py"

## fmms 0.2.2-1

=== debian/changelog ===
fmms (0.2.2-1) stable; urgency=low

  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Tue, 19 Jan 2010 21:30:05 +0000

## fmms 0.2.3-1

=== debian/changelog ===
fmms (0.2.3-1) stable; urgency=low

  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Wed, 20 Jan 2010 22:12:31 +0000

=== debian/control ===
--- 
+++ 
@@ -10,5 +10,5 @@
 Architecture: all
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject, python-evolution
 Description: Send and receive MMS, hopefully
-XSBC-Bugtracker: mailto:frals@frals.se
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS

## fmms 0.2.4-1

=== debian/changelog ===
fmms (0.2.4-1) stable; urgency=low

  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Thu, 21 Jan 2010 17:44:48 +0000

=== debian/control ===
--- 
+++ 
@@ -11,4 +11,106 @@
 Depends: python2.5, python2.5-hildon, python2.5-gtk2, python-conic, python-osso, python-hildon, python-dbus, gnome-python, python-imaging, python-gobject, python-evolution
 Description: Send and receive MMS, hopefully
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=fMMS
-
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJ
+ bWFnZVJlYWR5ccllPAAAFjVJREFUeNrsWwd8VUXWn9teSe9AEmoSICGhBCIiShWxgEt1jQVXbICC
+ dXFFVuCz7KdYANF1NTYWdFVcFBERXboISAIJJIGQkBASQvIg5eUlr93ynbl35mV4hCQIfvr7ue/H
+ yX3vlrlz/vM/Z845M3CapqHf84dHv/PPfwH4LwC/84+I/xwu7vdLtR8C0hcEe1oO5AiI/begeGpi
+ fgsAl+GTATIB5EqQJJCeHXimEaQI5CuQYnK0/yoM+Jmf60HuBLntZz4fDDKYCAsKBmIjyJrfqg+4
+ jXT0m0tQvi1QcJuridmsJkD/JgDAI+UgIxP0/8TQ2wnQ2DTm/poAfASyHyTwV/JZmBkrCCuWXFYA
+ OI5r754TIJkX2zBu9hzhGeHOl4v4PEMYcUnmh/XG0h4DykC6XYzCPLQoCIaIooYkCcSkIZPEiMk4
+ J8J3fB9+hucvCoxgYorZ5PsvMgtg5bt3RHGdSmR0BV5DHg+Hzp7h0KlKCdntHLI38HoQgKhyQGRe
+ VFFMJxVFx2goOlpBwcEaUlUEwiGcn+Hv+q1t52rphA0PExO5bABs7qjy+ugJGpK9HCorFlBpiYCO
+ l4hwDp2rNH0GRAbtVJVHJ8oEn7IhIRqKi1dQYpKKEhJlpCgGGPgavqcdIJaD3AQy/mcBwPMtaMO/
+ efBnXEfpjmm8Z7eEDh+UkKxwqMnhyW60NxYVFdX/VFLcUFl71uVsdUrJ6JQYHWONjYq29gkLN1/h
+ dPKdjh0V0NEjIpiNCfVKkNGw4V4UFKQBGB0C4jqQUpAx5NgxX4D/FFck6y8gL9Io/dpSHtv32VoB
+ bd5oQmfOIGdpcd3Kr78q3Xkp9nj9TT1GdO0ePCYwUErXNE5nQTywYuQYGUVGKnr/8LkOmEZPYsIX
+ /KQlFbQA8MCcQTB6CA27Sl5y1QjlGVVp/QWs8kdgpLZvgZE/VPfy5o2lO1p5h8bIBcFnvvt+h4Sa
+ Ldff2GNyXHxgpkqA6NPXi8aM84LTNH5rarsg9CAzWPsAPPTIQLRy2UH+q82pCrZBpQ0ARDAabLsf
+ r+FyPngnb7Gfsio54nFSJ08LixkzLjilcxcp3mrlAyOjxAH4Op6BTpZ7dsJRPFXhrdy8yV6w4csG
+ G4lLeNIv3TBvyeyT2Tk2INPrgVlD5NBNN3tRr0Too4wu2M+OMOEcAPDLnniq/5K77/UuxHOj2gq6
+ 1OabwaLfWsntyPp7/st+CkOXkPex+Z0SJkwK/WN0tDi+43OycWxuVo8cKXBteuapU9+VlXpk4qN0
+ dmTekfJ4WLhpFHaMqWkKGo3ZwHMdAaFXaz6BBQCL8NZ7/b3XXudFHvDmait2Rqn/yUdo+6IFhUuJ
+ 4rrSIO5XVsQPunZ8yFIAyXqp0Rl+l8ejVf2ww/HO3Fknd+H+YUlNi+55zaj413G/oqI0lDnD7QOh
+ Db/VSNLyCwIg3PtA6sSMK/l1I0fLYGMtXldlLBiPflkpqr5xbME9ZMQ9IC48cPsPJ68xm7mUyx3/
+ Up8DrHhv6sTjH8MpCff3nvsHZEkS3ykIps6p070oPAKmYblNJuT4ZZ0+ALCdSWYrf8+RQgm9scKK
+ Nqw3oyKYjkxmI2qjkRoOcj7IqnmeKN4EUj9nXrT5cHHKgV9CecpAPBC9ky0z846mfLHkhS641uB+
+ 9+3cmbW17i2NEGR9tMqEFNXoZxtRZPqFcgj8SOich9KWBgRL99EXYgZIgDUOSBLAKSbiwETWnL27
+ H/kDHnFMq/kLYkL+dG/UTrV9b3xZGeF0qgUZaUfmwE/L9MyUP0dEmMdGRavotjs9MFDt+gSfU2RN
+ oDNIBEj4zVN6TYyNCxxnzMPIF5qaTPA2s2P9c4uPvgT3NWApO51c7nZzPupdDAjsSP0c8PDzy16u
+ viPrrbM1twAI4RHmcYlJCpo0VUZeL0JtDArOHYawAGDnEoNZABJwtLCucv++mh0/7qr6OCLSfCow
+ SLRYLHwX3NiqD0ofdjR68VRV/8Cc/o8eKxKHde2qQaTWvhJs5Og78ueeY+/ryGfY8KApffqaD7/y
+ Ysna1P7RQ+x2MdpiQSg2XtNjhAtkpbHwvhI45r25wuZjQCoefQwAcTJsF9QusYHWjKExfdevK8Wl
+ qjo8+g8/PvAnQDnJCzPGVVfL6KprZD0XoPSjgLCJEg9JEs36KioEeIlRJ40E+pohMzQYR5xvBxIh
+ Ct4Zm2fDiKHFy2bNGfhvk4UDs/SggADNFzG2pOPwfmPOg1QNmZO6FvoAGEwYYGGCEMTM725Ce6x8
+ PYge28+Z13+xKPLzsQkEQrx+00QFxcYZQRR9OVVclgFyyBVKIVk6c5anHdEV9cqabmLxXXEipECQ
+ oyBJ1HQw2gp7KQA43T592vPR7JkN340cHf9+HLDy1ts9xrNwD3aUZ2wCZKc8qjgpoNpaLh+eTX1h
+ SbYPgHQyT5qZwIMC4CUeHytfS76r5N4gYEfnSVMTPgQg+mIGpGfIOiNwxIY7jafUAzkS2vejBLTk
+ kMstF9edde1FnIaB1ixWMdZkEmLh2FtPg6FlyIP0RGj0WFmPO+gcz7LKl4jB9dLjItq5TV3x7KL8
+ f95+V9+nwsIsUwaka6ixAcC2cQj7KZ4UZKCl6ro694yst/K/J3royvYmNT4rUUwgopEpz06UbyCA
+ mEgRIpQ+N3lawtSu3YJn4c5iNky4WUHduivo669MKCcbHSs+WvvP7VtPHmzLpodfEz+gV0LomPBI
+ y2gdPE4FO5dR+hWGeVGzwIqIAKyjidMTsVOVgnvFq9mxxIyjHnli4B6zWQRnqNQ4HN7C+jr3kYqT
+ joLdu6pyyUCeAbERXXQAogj9KQBmoiRPbmok1G8m92Olw6jjJH6DB08cMHV64l+sAdIgDERkFI/2
+ 7q5bunlTqxmidoGkCFksojjt1j4PBQdLY3BGGA+UnjzdDUobI4/9Dk6/D+SIyOXyLM/6+6ElJCLF
+ /Y8YemWnjL17qqvJICJixtSUGwkINmrKHFFWIIpI5LeJfFdJtNdEXiIRxSOI2VjJs77S2qgxcYMH
+ DY5ZtGF92X3HjtadZhOlhUs6p/dLtSbHxknJEDyF0BWjqiq5oOa0t+qj1bV7tm9xnMXtxHQKDL15
+ UuKLkomPi4xS0Yy7PRCgiWjrf0yoocGT88Xa4oVnbM4qwk476WsQYUII038vYbKbKO0gQLj1xMwv
+ HaXKiIxDpImORhoNIiCEkiox6zs4v+xQSU2zWF//R9eHYjrhEW3fs2OpKPd8/+Tjle8ezHE6bpvR
+ 7+nQUOlKQeThWa1m7+5Tf9u/r7qIKOUgANQRhvKkT4GkTypR1EOAYEXxAfDEXwaBbRl9X/pCDuef
+ nzOU5YnCAcQPBDP+Q2RoRxMl99+W9v9ueqZX8no7lLn5gMChbaNdyX92UdVrJlOXiYqq1nyx9th6
+ 0nEvYaaD+CY7YanCsJlnZjIqqn+d4jwAWovHce6Ns8Q3lmXTPF0iQAQyQASQcxxR3jU9M2l8dHTg
+ M8kpKrphghGlsSD4Bz3+2SetLK/9pHHpU09UbCMKeMhoUyo3kd8e6tmZATxH2QXPDPa94YX/yb5w
+ UZRSlYbDXggdHnuyGc19JFlTNU5J6Vmg+Y2EkzCBUg8D0LTus5J3Z8/tf19hAd8Fn75hglfvF26T
+ jf40wpnWTKS6WkBZb9VuJ+/xtqK8m5xXIUDTcMXIZOJbZRVu2x90nlXYSIQMwZT1wBzqcoHy85vh
+ O9IDGlwrgAxQpaPM2CH2rNj71pCpplaWVfvrrx1MFEV0AkBAm76WjCzTZJTAbTUcqqkGOc1DkoP0
+ 83StQBCNpGz9F9yqkuJmnMCcJe85yzg+Jx35OfMGal4P0lmGy/J40HD/dSG/qW5s7UBnAKa4ioxA
+ BNcAsJLzFzT7bvZ4zrffQ8dSdGpBUuFl6gNNDKuovQkrXj2YPu+xgeWF+XygIErQPgTkx0RjNDgj
+ GtRL48EaSkmDuX+IDMmXhjZ9L5186bncuWRWEpn3uMkAqLPnDtbLFri/+Pj8Yit69M9Nuh6sqeHA
+ afnSwHNyD58PmPVgOnryr05dcf1BWiGmjbThvWnjKb0KOL/ZRGQcpnXIFTFJw6+O3SgIPA5S9jQ2
+ egrgTpwSaJzABQUHm4bDtTgcEWK779lLQQ/dnxtFFJYZUFXqwY+WJ2s+QycLKpTq/jmJ3k/Blw+g
+ pPiWXAAVlSfrCvs/2FGPjQHY/xOPhmSoFAiqPI0Y8bxsgWgxRlFU7lRlU2Nrs0zflPCoq0fGzQyw
+ SqPzDtru2ralYi/x8g4y6gq9N78kpc0dfq3VNNljv4SCFhPA9s4+cCkFDvAPWmpiAaU/BQNT2HKy
+ vLGZiTPO+xwpqKsHeQWAegfuPU0ApIEMFq2wNEVrpwbYJiD+uomUBxzXMtu3lZNfqCG/Z3xxAHGU
+ bibiVP2CJdYcdacMytf7xR+++y53BUoHADucjtXnzqnAboVTo4jy2SBPgCyEn7vAQXKyrJXYauTK
+ 60Yey2PorhAlVSYwYZUXmet0enX6zfGX9SMaQYG5QwDIQMa/PutB+/fxi/sPUEfpq7zGcvhgex33
+ LUxppqgYbSzuKk6Ju8RK6JN1PdP+OLkUT4/Ki6/2Gn/jRPM8l0uz4fWH+jp5i8OhVk66oeSzydPC
+ ojOGBnQrOuq2f5B1toJJXpx0ni+pTNZcrl8AAItFa1d56mHBQ98eFoYWUdrbbDzavlWCOV0zJfVV
+ dS+rMM+mpFoXwGEmVig8IvBpUVIsVo6Lxu117iKlAHgH4NrKESPj190wUU3DBZbHn+ykPwss2jAo
+ uXA64/zugXfihY4dJBYww+9dl+K7+JbKzYWFlsYhoAnbt0dYndhb8UVwMTEqyrzDhYYOk1HZcd5H
+ 9papB2Vmreqm/WFKcmhAoGbhzo/5B02ZniJVVQlp/nO0ycRNoKN/930DQ0pL+Swc0cI9m+C4D454
+ eW0iLYmDDIXzn+DiJ3zfD7KZ7B0IveRNUmS6ezLvoIj275WMOjy5VlUpIkhv9WiRJ4o31HNGp+D6
+ iNFBcwMCTHGdO2s+JlFFMYipaVJwVRV33vYZfWYoS3n6zrsHahCjPNKjx/luAPqR/vxiMx6cefDM
+ HpBboJ/pIINBxoEsw9YGt755SQAQptRznIS2bRERXqw0RkxD2ftNaOdW07c1Nk7/jTuPV2sOHeSN
+ UpSGng0JReNiYgyOnijjfHsScPB1170eFSNRT0DDH7fbR+sli59zo4hI7Tq6e8SvNNYND0Z1Nbec
+ MghHrrgMV3pc0IMqwuTZcO1N/8pzhwFYuSyXe2N57kuapnSXZcVWU8P7GgIzWFtb655VXc2fU/rO
+ zRMRBH6405bUNO1xE8kV7Q0cKj/B+aI2iENGwCHXXt+yoar6NO8zM8hBxoWEaYEqYQ9mmk8RTusJ
+ ZnZnk4MzdqXg0BrmjMOHBbRurQl9/qmkgyAYMlsQtEiev0gAXn8t15cGP784Bzy4doJSHMYbDRjU
+ nLP6w8M2j+vciAu/6EQZrysxdrwcqmeBOFuq5nQQ6L2KrEVDS3WnTxvneB0kHA8Ye4tA8X+EhaAB
+ uvlAm3t+FH0MguujQYbu2iHidnTTDAlV0f2znehP97pQt+6QTn8ahD7MCkZffxmAdu2Q1Jz95o4D
+ wChvIuluqNej5OLNT4aN65Xb/rgUhX9jhTlSS4qLVdBO6BjPteQT+JrNxp3Qn+d9jnCyx618A1Op
+ D5TwCHD12429RvBszz4pirG5Cq4XHSEmRBgUFKwU2QDUNR/iIilvPAOfaHDQGUNlNPUWB5p2qwPa
+ VNbfd1de4x23HOAuhgEcKYAEEG8a6fEoSk21UazAiEsSSsbFVa8sH8L2h9cCMDBBIaj+JFC94iR/
+ zqxSXOTeiJ9najBRzmav63R1CwC9EhTdTBx2w5N270EXT5AdM4gjEw72C8n9GnNCw9U87Dc+Xm2G
+ 0bainGwJORoNoPBzAQF4Nclzc/bhvm8wAVfbAMDo835ZHY7NQ8pKG/bZbCLatdOCDuWaUUmJBe/8
+ CARmnD5ewuuZGWS9aFC69yTYnSv/MK8vYGDANFU9++MP1dtx/oHXDTBYcG+/kuLavIY6YwWHMgN3
+ eucOQd96R4GxNyj5YPfO8jLON/eHhamdk1OUyAcf9qD5Tzeju+93oh92SOjtN626FBcJRlUWTNBk
+ 5u9/9n9jO9Oap9gO9Tn/tBabAsTqNVZrPDpebNQQ6upc7+B7PR65pqoyCK3+0KJ3rL7W9a3b5f2y
+ IN+00GKR9I1OjibPseYmj1xRzkHwJCBroIpCIRQfcoUm1DdwOqPww3jk4uPlqrxcscvIUTKCGEJX
+ 4niJa6/XK5ndbi6dF2Dy0LDzC5wLU3PcsOGKXkjBN956hxvt3iUhDFQZzAYJiarPN/XuY0kmhRtV
+ 7AD9KQuoCBUnHfbnFu0fOmlqzwRJ5JUv15Xh5Dqo/ETD9z16BXY3m/kuEOryK5fn4d3ejgWLBi+s
+ rBBQRbmAtm21vVdT09wQFiagjRvMiDrGVe8XVsx6MB59s8Gqp+ZR0Qo6mFO9IDKq0/s/7hbRwEGq
+ Tvf8Q65CVbYm2WrA7lIwVhrq2o3LkBUNrVllQrfP8Oj7mPDmy0lTFFIrMEyFOs4fdjqOdWSnKGI2
+ PtHSuEyTGEXR5M8/PZ7NrBbJP+2tOQ6ykKnCYt9hfWFJdr+Ro2OTQkKkztu3VOJEXLA3uv/V7PQ4
+ IyLNV9vt3k9xm+HhfElNtZCAR/XUSXTs80+rjs6YGbGp6lTA9VWnDMo/t7j60ORpIRnHS4JQU5NE
+ chR1J7atulr++rffMKMhV6oQgst6hUkP4wWjGILLYzn7ufUrXq2pR+w+zrmPDmjPB1iJAwwnM4FG
+ yl90ucxCVouspE0vUw+gVRyeKVXTyrJMih0Ock5fbOnZKyQMbFU9Wlhfl5AUEjphYvfb8CDaqp35
+ /1pTvGvstfGpI8bGZmmqsbPz4IEzk774vHTvnHn93zSbhclgQHqAhdcZu3TWjLKbW0PVNgH9+7Oi
+ oeVl9kqaaLUHAMesBQQTAILJOQdZMvMQAMJRy/8jcBOl6WoTWyOQCTBmcq6ZdAYxawwURET3BTE1
+ AdqGwNQJ7WQw5Otu6JaY2DtstijygySJTxUFgzlOp/xTXu7Zd7f9pyKXvE8vrHIdTJgkZtkpjJxr
+ IgC4iDLhzM5tF+mkmVk0Uch5F1HQStpxEwUU4mgDyXVaAjMzS3BsGzwBnoJI2xAZ0BXG1AOYsr2L
+ Vpg78n+GNL8ChtrKPgKVqQIjZk0OMZUgep5dZpP8FjHY9ukiCMsCxPgjjlmNYleD6AIvYpbEVD/m
+ 8PS5i/lPUyqzL5Dzq9AozJobx5SvZT/60vqexqwnqq20LzJtqn5LbrQNWn02sWuRRDhmgZcCLjAm
+ 5APmYhhAa3zNTCMy8wInMxq0Fsh2mmPKXJrf2oGHAYYq5qUruAwYHGMCLDPZ9QJaPrMy6wms/3Az
+ pTZvRxlAHVgzaVxk1ty9DAgyoZfCdMTtt9/AwyjtJEp5GIU9fiagMJ3mGPA1ZrOmxjyrMeuHZr99
+ T4ofCJ6LBYCOpuBHORZdnrFlas8uPzb5A6AypuBipkuVAVFgfIXCKO2/EUJlgBH89i+wfdbZ+38C
+ DADVXlckzpTn4AAAAABJRU5ErkJggg==

## fmms 0.2.5-1

=== debian/changelog ===
fmms (0.2.5-1) stable; urgency=low

  0.2.5:
  	* profile header removed as this should be translated to x-wap-profile
  	* ui "loading" indicator added in a few places, like when sending
  	* replaced ugly dbus-calls with less ugly update_ui function
  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Thu, 21 Jan 2010 21:26:35 +0000

## fmms 0.2.6-1

=== debian/changelog ===
fmms (0.2.6-1) stable; urgency=low

  0.2.6:
  	* added profile header again, along with user-agent. on both send and receive. please let this work.
  	* contacts should now show all numbers, really.. hopefully
  0.2.5:
  	* profile header removed as this should be translated to x-wap-profile
  	* ui "loading" indicator added in a few places, like when sending
  	* replaced ugly dbus-calls with less ugly update_ui function
  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Fri, 22 Jan 2010 00:18:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,8 @@
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/COPYING" "$(CURDIR)/debian/fmms/opt/fmms/COPYING"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
+	cp -a "src/opt/fmms/CREDITS" "$(CURDIR)/debian/fmms/opt/fmms/CREDITS"
+	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/LAST_INCOMING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_INCOMING"
 	mkdir -p "$(CURDIR)/debian/fmms/opt/fmms/"
 	cp -a "src/opt/fmms/LAST_OUTGOING" "$(CURDIR)/debian/fmms/opt/fmms/LAST_OUTGOING"

## fmms 0.2.7-1

=== debian/changelog ===
fmms (0.2.7-1) stable; urgency=low

  0.2.7:
  	* fixed hang on startup introduced in 0.2.5
  0.2.6:
  	* added profile header again, along with user-agent. on both send and receive. please let this work.
  	* contacts should now show all numbers, really.. hopefully
  0.2.5:
  	* profile header removed as this should be translated to x-wap-profile
  	* ui "loading" indicator added in a few places, like when sending
  	* replaced ugly dbus-calls with less ugly update_ui function
  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Fri, 22 Jan 2010 00:56:48 +0000

## fmms 0.2.8-1

=== debian/changelog ===
fmms (0.2.8-1) stable; urgency=low

  0.2.8:
  	* removed sending of "profile" header again as this seems to confuse some mmsc
  	* sending fake user-agent string (n95)
  	* viewer now word wraps text
  	* viewer should now show most txt files
  0.2.7:
  	* fixed hang on startup introduced in 0.2.5
  0.2.6:
  	* added profile header again, along with user-agent. on both send and receive. please let this work.
  	* contacts should now show all numbers, really.. hopefully
  0.2.5:
  	* profile header removed as this should be translated to x-wap-profile
  	* ui "loading" indicator added in a few places, like when sending
  	* replaced ugly dbus-calls with less ugly update_ui function
  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Fri, 22 Jan 2010 23:50:14 +0000

## fmms 0.3.0-1

=== debian/changelog ===
fmms (0.3.0-1) stable; urgency=low

  0.3.0:
  	* adapted mvc(ish) concept on the application
  	* sqlite database for storing message info
  	* logging to file instead of terminal mostly
  	* crude validation of "to" number in sender
  	* saves outgoing mms (that are sent successfully)
  	* not really backwards compatible due to sqlite backend instead of only files
  0.2.10:
  	* reverted UA-string to N95... again - seems to be working for tmo usa
  	* separated each view in to their own class
  	* header dialog does now line wrap instead of scrolling horizontally
  	* removed some imports that (hopefully) isnt needed
  0.2.9:
  	* removed fake UA-string again as it seems pointless
  	* contactslist should show what type of number it is
  	* gui no longer freezes when launched from the mms notification
  	* message is sent as mms version1.2
  0.2.8:
  	* removed sending of "profile" header again as this seems to confuse some mmsc
  	* sending fake user-agent string (n95)
  	* viewer now word wraps text
  	* viewer should now show most txt files
  0.2.7:
  	* fixed hang on startup introduced in 0.2.5
  0.2.6:
  	* added profile header again, along with user-agent. on both send and receive. please let this work.
  	* contacts should now show all numbers, really.. hopefully
  0.2.5:
  	* profile header removed as this should be translated to x-wap-profile
  	* ui "loading" indicator added in a few places, like when sending
  	* replaced ugly dbus-calls with less ugly update_ui function
  0.2.4:
  	* sending x-wap-profile and profile header when getting mms instead of sending
  0.2.3:
  	* fixed bug where long-tap -> "open" would not launch imageviewer
  	* added search in contact list when sending
  	* now sends x-wap-profile header when sending mms
  0.2.2:
  	* bugtracker added
  	* wappushhandler should handle most sms push now
  	* banner shows when SMS PUSH decoding failed
  	
  0.2.1:
  	* no longer breaking MMS-standards (I think)!
  	* confirm dialog on redownload as message might be gone
  	* should show all numbers available for a contact
  	* wappushhandler got some love, error handling and stuff
  	* fixed postinstall to only chmod if dir exists
  0.1.12:
  	* correctly sends m-notifyresp-ind and m-acknowledge-ind when fetching the mms
  	* button to launch video/audio in the viewer should now launch the mediaplayer
  	* if the mimetype is unknown the button currently does nothing
  0.1.11:
  	* textview in sender gui scrolls individually instead of scrolling the whole window
  	* exception printed (to console) if the mmsc response parsing fails
  	* should now decode any filetype in the mms
  	* fixed "To"-button so it doesn't break on unnamed contacts
  	* config prepared for sqlite-db
  	* clicking on a notification should now open fMMS (refresh view if its open)
  	* all imagetype should now be shown in the viewer
  	* button to launch other filetypes (currently opening in imageview so its unlikely to work)
  	* decoder_mms.py decodes a given message file from console
  0.1.10:	
  	* "to" button is now bringing up a list of contacts


 -- Nick Leppnen Larsson <frals@frals.se>  Wed, 27 Jan 2010 00:45:45 +0000
